> ## Documentation Index
> Fetch the complete documentation index at: https://docs.youka.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Raw HTTP Schnellstart

> Verwende cURL, um eine Datei hochzuladen, ein Projekt zu erstellen, die Aufgabe abzufragen und die fertige Karaoke-Ausgabe zu exportieren.

# Raw HTTP Schnellstart

Verwende diese Anleitung, wenn du direkte HTTP-Beispiele möchtest.

Wenn du in Node.js oder Bun entwickelst, starte stattdessen mit dem [Node.js SDK quickstart](/de/sdk).

## 1. Ein Upload-Ziel erstellen

```bash theme={null}
curl -X POST https://api.youka.io/de/api/v1/uploads \
  -H "Authorization: Bearer yk_..." \
  -H "Content-Type: application/json" \
  -d '{
    "filename": "song.mp3",
    "contentType": "audio/mpeg",
    "contentLength": 12345678
  }'
```

Lade die Datei-Bytes zur zurückgegebenen `uploadUrl` hoch.

## 2. Ein Projekt erstellen

```bash theme={null}
curl -X POST https://api.youka.io/de/api/v1/projects \
  -H "Authorization: Bearer yk_..." \
  -H "Idempotency-Key: create-project-song-1" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Artist - Song",
    "inputFileId": "file_123",
    "lyricsSource": {
      "type": "align",
      "lyrics": "First line\nSecond line\n...",
      "syncModel": "musicai-alignment",
      "language": "en"
    },
    "splitModel": "mdx23c"
  }'
```

## 3. Die Aufgabe abfragen

```bash theme={null}
curl https://api.youka.io/de/api/v1/tasks/task_123 \
  -H "Authorization: Bearer yk_..."
```

Wenn die Aufgabe einen Endzustand erreicht hat, enthält ihr `output` die wichtigsten Ergebnis-IDs für den Vorgang.

## 4. Projektstatus lesen

```bash theme={null}
curl https://api.youka.io/de/api/v1/projects/proj_123 \
  -H "Authorization: Bearer yk_..."
```

Dies gibt den langlebigen Projektstatus zurück, einschließlich Stems, Alignments, Exporten und den aktiven Projekteinstellungen.

## 5. Einen Export erstellen

```bash theme={null}
curl -X POST https://api.youka.io/de/api/v1/projects/proj_123/exports \
  -H "Authorization: Bearer yk_..." \
  -H "Idempotency-Key: export-song-1" \
  -H "Content-Type: application/json" \
  -d '{
    "resolution": "1080p",
    "quality": "high"
  }'
```

Frage anschließend die zurückgegebene Aufgabe ab oder lies den Export direkt:

```bash theme={null}
curl https://api.youka.io/de/api/v1/exports/export_123 \
  -H "Authorization: Bearer yk_..."
```
